'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var react = require('react');

/**
 * useIsomorphicEffect
 * Resolves to useEffect when "window" is not in scope and useLayout effect in the browser
 *
 * @param {Function} callback Callback function to be called on mount
 * @see https://rooks.vercel.app/docs/useIsomorphicEffect
 */
const useIsomorphicEffect = typeof window === "undefined" ? react.useEffect : react.useLayoutEffect;

exports.useIsomorphicEffect = useIsomorphicEffect;
