'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var react = require('react');

/**
 * usePreviousImmediate hook for React
 *
 * @param currentValue The value whose previous value is to be tracked
 * @returns The previous value
 * @see https://rooks.vercel.app/docs/usePreviousImmediate
 */
function usePreviousImmediate(currentValue) {
    const previousRef = react.useRef(null);
    react.useEffect(() => {
        previousRef.current = currentValue;
    });
    return previousRef.current;
}

exports.usePreviousImmediate = usePreviousImmediate;
