'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var react = require('react');

/**
 * useWillUnmount hook
 * Fires a callback just before component unmounts
 *
 * @param {Function} callback Callback to be called before unmount
 * @see https://rooks.vercel.app/docs/useWillUnmount
 */
function useWillUnmount(callback) {
    // run only once
    react.useEffect(() => {
        return callback;
        // eslint-disable-next-line react-hooks/exhaustive-deps
    }, []);
}

exports.useWillUnmount = useWillUnmount;
